# DataExchange
TKXCAF
XCAFDoc

# XCAFDoc_Color Class Reference

`#include <XCAFDoc_Color.hxx>`

## Public Member Functions

Standard_EXPORT | XCAFDoc_Color ()
Standard_EXPORT void | Set (const Quantity_Color &C)
Standard_EXPORT void | Set (const Quantity_NameOfColor C)
Standard_EXPORT void | Set (const Standard_Real R, const Standard_Real G, const Standard_Real B)
Standard_EXPORT Quantity_Color | GetColor () const
Standard_EXPORT Quantity_NameOfColor | GetNOC () const
Standard_EXPORT void | GetRGB (Standard_Real &R, Standard_Real &G, Standard_Real &B) const
| Returns True if there is a reference on the same label .
Standard_EXPORT const Standard_GUID & | ID () const
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
static Standard_EXPORT Handle_XCAFDoc_Color | Set (const TDF_Label &label, const Quantity_Color &C)
static Standard_EXPORT Handle_XCAFDoc_Color | Set (const TDF_Label &label, const Quantity_NameOfColor C)
static Standard_EXPORT Handle_XCAFDoc_Color | Set (const TDF_Label &label, const Standard_Real R, const Standard_Real G, const Standard_Real B)
| Find, or create, a Color attribute and set it's value the Color attribute is returned. .

## Private Attributes

Quantity_Color | myColor

## Constructor & Destructor Documentation

Standard_EXPORT XCAFDoc_Color::XCAFDoc_Color | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Quantity_Color XCAFDoc_Color::GetColor | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& XCAFDoc_Color::GetID | ( |  | ) | `[static]`

Standard_EXPORT Quantity_NameOfColor XCAFDoc_Color::GetNOC | ( |  | ) | const

Standard_EXPORT void XCAFDoc_Color::GetRGB | ( | Standard_Real & | R,
|  | Standard_Real & | G,
|  | Standard_Real & | B
| ) | const

Standard_EXPORT const XCAFDoc_Color::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Standard_GUID& XCAFDoc_Color::ID | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute XCAFDoc_Color::NewEmpty | ( |  | ) | const

Standard_EXPORT void XCAFDoc_Color::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const

Standard_EXPORT void XCAFDoc_Color::Restore | ( | const Handle(TDF_Attribute)& | With | ) |

Standard_EXPORT void XCAFDoc_Color::Set | ( | const Standard_Real | R,
|  | const Standard_Real | G,
|  | const Standard_Real | B
| ) |

Standard_EXPORT void XCAFDoc_Color::Set | ( | const Quantity_NameOfColor | C | ) |

Standard_EXPORT void XCAFDoc_Color::Set | ( | const Quantity_Color & | C | ) |

static Standard_EXPORT Handle_XCAFDoc_Color XCAFDoc_Color::Set | ( | const TDF_Label & | label,
|  | const Standard_Real | R,
|  | const Standard_Real | G,
|  | const Standard_Real | B
| ) | `[static]`

static Standard_EXPORT Handle_XCAFDoc_Color XCAFDoc_Color::Set | ( | const TDF_Label & | label,
|  | const Quantity_NameOfColor | C
| ) | `[static]`

static Standard_EXPORT Handle_XCAFDoc_Color XCAFDoc_Color::Set | ( | const TDF_Label & | label,
|  | const Quantity_Color & | C
| ) | `[static]`

## Field Documentation

Quantity_Color XCAFDoc_Color::myColor `[private]`

The documentation for this class was generated from the following file:

- XCAFDoc_Color.hxx